/**
 * Combines two path parts into a single endpoint path using the URL path separator
 */
export declare function combineEndpointPath(firstPathPart: string, secondPathPart: string): string;
/** @internal */
export declare function formatBlobName(name: string): string;
/** @monorepo-internal */
export declare function normalizePathSeparators(path: string): string;
/** @internal */
export declare function normalizeUrl(input: string): string;
